using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using DevExpress.Skins;
using DevExpress.LookAndFeel;
using DevExpress.UserSkins;
using DevExpress.XtraEditors;

using DevExpress.XtraGrid.Views.Base;
using DevExpress.XtraGrid.Views.Base.ViewInfo;
using DevExpress.XtraGrid.Views.Grid.ViewInfo;

namespace WindowsApplication1
{
    public partial class Form1 : XtraForm
    {
        public Form1()
        {
            InitializeComponent();
            InitGrid();
        }
        void InitGrid()
        {
            BindingList<Person> gridDataList = new BindingList<Person>();
            gridDataList.Add(new Person("Joth", "Smith"));
            gridDataList.Add(new Person("Gabriel", "Smith"));
            gridDataList.Add(new Person("Ashley", "Smith", "some comment"));
            gridDataList.Add(new Person("Adrian", "Smith", "some comment"));
            gridDataList.Add(new Person("Gabriella", "Smith", "some comment"));
            gridControl.DataSource = gridDataList;
        }

        private void gridView1_Click(object sender, EventArgs e)
        {
            
        }

        private void gridControl_MouseClick(object sender, MouseEventArgs e)
        {
            
            BaseView view = gridControl.GetViewAt(e.Location);            
            BaseHitInfo baseHI = view.CalcHitInfo(e.Location);
            GridHitInfo gridHI = baseHI as GridHitInfo;            
            if (gridHI.HitTest == GridHitTest.ColumnButton)
            {
                MessageBox.Show("   .  CheckedListBox     ");
            }
        }

    }
}